package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the groups database table.
 * 
 */
@Entity
@Table(name="groups")
public class Group implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idgroup;

	private String datecreate;

	@Lob
	private String description;

	private String groupname;

	private String icongroup;
	
	private boolean isblock;

	//bi-directional many-to-many association to Account
	@ManyToMany(mappedBy="groups")
	private List<Account> accounts;

	public Group() {
	}
	
	public Group(String idgroup, String datecreate, String description,
			String groupname, String icongroup, boolean isblock) {
		this.idgroup = idgroup;
		this.datecreate = datecreate;
		this.description = description;
		this.groupname = groupname;
		this.icongroup = icongroup;
		this.isblock = isblock;
	}

	public String getIdgroup() {
		return this.idgroup;
	}

	public void setIdgroup(String idgroup) {
		this.idgroup = idgroup;
	}

	public String getDatecreate() {
		return this.datecreate;
	}

	public void setDatecreate(String datecreate) {
		this.datecreate = datecreate;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getGroupname() {
		return this.groupname;
	}

	public void setGroupname(String groupname) {
		this.groupname = groupname;
	}

	public String getIcongroup() {
		return this.icongroup;
	}

	public void setIcongroup(String icongroup) {
		this.icongroup = icongroup;
	}

	public List<Account> getAccounts() {
		return this.accounts;
	}

	public void setAccounts(List<Account> accounts) {
		this.accounts = accounts;
	}

	public boolean isIsblock() {
		return isblock;
	}

	public void setIsblock(boolean isblock) {
		this.isblock = isblock;
	}

}